Paren                  package:base                  R Documentation

Parentheses and Braces

Description:

     Open parenthesis, '(', and open brace, '{', are '.Primitive'
     functions in R.

     Effectively, '(' is semantically equivalent to the identity
     'function(x) x', whereas '{' is slightly more interesting, see
     examples.

Usage:

     ( ... )

     { ... }

References:

     Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) _The New S
     Language_. Wadsworth & Brooks/Cole.

See Also:

     'if', 'return', etc for other objects used in the R language
     itself.

     'Syntax' for operator precedence.

Examples:

     f <- get("(")
     e <- expression(3 + 2 * 4)
     f(e) == e           # TRUE

     do <- get("{")
     do(x <- 3, y <- 2*x-3, 6-x-y); x; y

